ALTER TABLE SECTION
ADD REPEATABLE_QUESTIONS VARCHAR2(1 CHAR);

ALTER TABLE QUESTIONNAIRE_ANSWER
ADD SEQUENCE_NUMBER NUMBER;

INSERT INTO QUESTIONNAIRE_TYPE(ID, OPIS, INTERNI_OPIS, ACT) 
VALUES (9, 'New customer', 'New customer', 'Y');

DROP VIEW V_KONT_OSB_LASTNIK;

CREATE OR REPLACE VIEW V_KONT_OSB_LASTNIK AS (
	SELECT K.ID_KONT_OSB_LASTNIK, K.ID_LASTNIKA, K.ID_OSEBE, K.ODNOS, K.DEPANDENT, K.HAS_MEMB_CARD, K.CAN_SIGN_INVOICE, K.CREW_ID, K.VELJA_DO, K.NOTE, K.PREFERRED,
  NNODNOS.OPIS AS NNODNOS_OPIS, NNODNOS.INTERNI_OPIS AS NNODNOS_INTERNI_OPIS,
  KUPCI_LASTNIK.PRIIMEK AS LASTNIK_PRIIMEK, KUPCI_LASTNIK.IME AS LASTNIK_IME, KUPCI_LASTNIK.ID_MEMBER AS LASTNIK_ID_MEMBER, 
  KUPCI_LASTNIK.NASLOV AS LASTNIK_NASLOV, KUPCI_LASTNIK.MESTO AS LASTNIK_MESTO, KUPCI_LASTNIK.POSTA AS LASTNIK_POSTA,
  KUPCI_OSEBA.PRIIMEK AS OSEBA_PRIIMEK, KUPCI_OSEBA.IME AS OSEBA_IME, KUPCI_OSEBA.ID_MEMBER AS OSEBA_ID_MEMBER, KUPCI_OSEBA.TELEX AS OSEBA_MOBILE_PHONE, KUPCI_OSEBA.EMAIL AS OSEBA_EMAIL,
  KUPCI_OSEBA.NASLOV AS OSEBA_NASLOV, KUPCI_OSEBA.MESTO AS OSEBA_MESTO, KUPCI_OSEBA.POSTA AS OSEBA_POSTA
	FROM KONT_OSB_LASTNIK K
 	LEFT OUTER JOIN KUPCI KUPCI_LASTNIK ON K.ID_LASTNIKA = KUPCI_LASTNIK.ID
  LEFT OUTER JOIN KUPCI KUPCI_OSEBA ON K.ID_OSEBE = KUPCI_OSEBA.ID
  LEFT OUTER JOIN NNODNOS NNODNOS ON K.ODNOS = NNODNOS.SIFRA
);

DROP VIEW V_INSURANCE;

CREATE OR REPLACE VIEW V_INSURANCE AS (
  SELECT I.ID_INSURANCE, I.ID_LASTNIKA, I.ID_TYPE, I.POLICY_NUMBER, I.COMPANY, I.AMOUNT, I.DATE_FROM, I.EXPIRY_DATE, I."COMMENT", IT.ACCESS_CONTROL, I.ACTIVE, IT.DESCRIPTION AS TYPE_DESCRIPTION, 
  (CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (KU.IME || ' ' || KU.PRIIMEK) ELSE (KU.PRIIMEK || ' ' || KU.IME) END) AS OWNER
  FROM INSURANCE I 
  LEFT OUTER JOIN INSURANCE_TYPE IT ON IT.ID_INSURANCE_TYPE = I.ID_TYPE
  LEFT OUTER JOIN KUPCI KU ON KU.ID = I.ID_LASTNIKA
);

DROP VIEW V_QUESTIONNAIRE_ANSWER;

CREATE OR REPLACE VIEW V_QUESTIONNAIRE_ANSWER AS (
	SELECT QA.ID, QA.ID_QUESTIONNAIRE_ANSWER_MASTER, QA.ID_QUESTION, QA.STRING_ANSWER, QA.DATE_ANSWER, QA.NUMBER_ANSWER, QA.BLOB_ANSWER, QA.FILENAME, QA.SEQUENCE_NUMBER,
  Q.NAME AS QUESTION_NAME, Q.QUESTION AS QUESTION_QUESTION, Q.SOURCE_TABLE_NAME AS QUESTION_SOURCE_TABLE_NAME, Q.TYPE AS QUESTION_TYPE, Q.MAP_TABLE_NAME, Q.MAP_COLUMN_NAME, Q.TAG_ID AS QUESTION_TAG_ID,
  QAM.ID_MARINA_EVENT AS ID_MARINA_EVENT, QAM.ID_QUESTIONNAIRE, QAM.STATUS AS STATUS, QAM.ID_LASTNIKA, QAM.ID_PLOVILA, 
  SQ.SORT, SQ.INPUT_REQUIRED, SE.REPEATABLE_QUESTIONS AS SECTION_REPEATABLE_QUESTIONS
	FROM QUESTIONNAIRE_ANSWER QA
  LEFT OUTER JOIN QUESTION Q ON Q.ID = QA.ID_QUESTION
  LEFT OUTER JOIN QUESTIONNAIRE_ANSWER_MASTER QAM ON QAM.ID = QA.ID_QUESTIONNAIRE_ANSWER_MASTER
  LEFT OUTER JOIN SECTION_QUESTION SQ ON SQ.ID_QUESTIONNAIRE = QAM.ID_QUESTIONNAIRE AND SQ.ID_QUESTION = QA.ID_QUESTION
  LEFT OUTER JOIN SECTION SE ON SE.ID = SQ.ID_SECTION
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1615, SYSDATE, '5.5', 1535, 'Repeatable questions')
;