ALTER TABLE NUSER
ADD CODE VARCHAR2(10 CHAR);

ALTER TABLE NNCARDS
ADD FOOD_AND_BEVERAGE VARCHAR2(1 CHAR);

ALTER TABLE FB_LOCATION
ADD QUICK_ORDER VARCHAR2(1 CHAR);

DROP VIEW V_NNPRIVEZ;

CREATE OR REPLACE VIEW V_NNPRIVEZ AS (
SELECT N.ID_PRIVEZ, N.OBJEKT, N.N_PRIVEZA, N.KATEGORIJA, N.DOLZINA, N.GLOBINA, N.SIRINA, N.VISINA, N.LIMIT, N.ZASEDENO, N.SORT, N.SORT_PRIKAZ, N.DOCKWALK, N.SUBLEASE,
NPO.NAZIV AS NNPOMOL_NAZIV, NPO.INTERNI_OPIS AS NNPOMOL_INTERNI_OPIS, NPO.NNPOMOL_TYPE AS NNPOMOL_TYPE, NPO.NNLOCATION_ID, NOB.BERTH_NAME_BUILD_INSTRUCTION, NOB.STORAGE AS NNOBJEKT_STORAGE,
-- Last note
(SELECT PB.BELEZKA FROM PRIVEZIBELEZKE PB WHERE PB.ID_PRBELEZKE = (SELECT MAX(PB2.ID_PRBELEZKE) 
FROM PRIVEZIBELEZKE PB2 WHERE PB2.ID_PRIVEZ = N.ID_PRIVEZ AND PB.VELJAVNA = 'Y' AND COALESCE(PB.HIDDEN, 'N') <> 'Y')) AS LAST_NOTE,
-- Last 10 notes
(SELECT RTRIM(XMLAGG(XMLELEMENT(e, CASE WHEN SEQNUM <= 10 THEN BELEZKA END, ', ').EXTRACT('//text()') ORDER BY DATUMKREIRANJA DESC).getclobval(),', ') NOTES
FROM (SELECT PB.*, ROW_NUMBER() OVER (PARTITION BY ID_PRIVEZ ORDER BY DATUMKREIRANJA DESC) AS SEQNUM FROM PRIVEZIBELEZKE PB) PB
WHERE PB.ID_PRIVEZ = N.ID_PRIVEZ AND PB.VELJAVNA = 'Y' AND COALESCE(PB.HIDDEN, 'N') <> 'Y'
) AS NOTES
FROM NNPRIVEZ N
LEFT OUTER JOIN NNPOMOL NPO ON NPO.SIFRA = N.KATEGORIJA 
LEFT OUTER JOIN NNOBJEKT NOB ON NOB.SIFRA = N.OBJEKT
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1645, SYSDATE, '5.5', 1565, 'FB')
;